%define anolis_release 1
%global glib2_version 2.56.0

Name:           gdk-pixbuf2
Version:        2.42.12
Release:        %{anolis_release}%{dist}
Summary:        An image loading library

License:        LGPL-2.1-or-later
URL:            https://gitlab.gnome.org/GNOME/gdk-pixbuf
Source0:        https://download.gnome.org/sources/gdk-pixbuf/2.42/gdk-pixbuf-%{version}.tar.xz

BuildRequires:  docbook-style-xsl
BuildRequires:  gettext
BuildRequires:  gi-docgen
BuildRequires:  meson >= 0.55.3
BuildRequires:  pkgconfig(gio-2.0) >= %{glib2_version}
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  libtiff-devel
BuildRequires:  libxslt
BuildRequires:  shared-mime-info
BuildRequires:  /usr/bin/rst2man

Requires: glib2 >= %{glib2_version}
# We also need MIME information at runtime
Requires: shared-mime-info

%description
gdk-pixbuf is an image loading library that can be extended by loadable
modules for new image formats. It is used by toolkits such as GTK+ or
clutter.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package modules
Summary: Additional image modules for gdk-pixbuf2
Requires: %{name} = %{version}-%{release}

%description modules
This package contains the additional modules that are needed to load various
image formats such as ICO and JPEG.

%package devel
Summary: Development files for gdk-pixbuf2
Requires: %{name} = %{version}-%{release}
Requires: glib2-devel >= %{glib2_version}

%description devel
This package contains the libraries and header files that are needed
for writing applications that are using gdk-pixbuf2.

%package tests
Summary: Tests for the %{name} package
Requires: %{name} = %{version}-%{release}

%description tests
The %{name}-tests package contains tests that can be used to verify
the functionality of the installed %{name} package.

%prep
%autosetup -n gdk-pixbuf-%{version} -p1

%build
%meson \
       -Dothers=disabled \
       -Dgtk_doc=false \
       -Dman=true \
       %{nil}

%global _smp_mflags -j1
%meson_build

%install
%meson_install

touch $RPM_BUILD_ROOT%{_libdir}/gdk-pixbuf-2.0/2.10.0/loaders.cache

%generate_compatibility_deps

%find_lang gdk-pixbuf

%transfiletriggerin -- %{_libdir}/gdk-pixbuf-2.0/2.10.0/loaders
gdk-pixbuf-query-loaders --update-cache

%transfiletriggerpostun -- %{_libdir}/gdk-pixbuf-2.0/2.10.0/loaders
gdk-pixbuf-query-loaders --update-cache

%files -f gdk-pixbuf.lang
%license COPYING
%{_libdir}/libgdk_pixbuf-2.0.so.*
%{abidir}/libgdk_pixbuf-2.0.dump
%{_libdir}/girepository-1.0
%dir %{_libdir}/gdk-pixbuf-2.0
%dir %{_libdir}/gdk-pixbuf-2.0/2.10.0
%dir %{_libdir}/gdk-pixbuf-2.0/2.10.0/loaders
%ghost %{_libdir}/gdk-pixbuf-2.0/2.10.0/loaders.cache
%{_bindir}/gdk-pixbuf-query-loaders
%{_bindir}/gdk-pixbuf-thumbnailer
%{abidir}/gdk-pixbuf-query-loaders-option.list
%{abidir}/gdk-pixbuf-thumbnailer-option.list
%{abidir}/libpixbufloader-*.dump
%{_mandir}/man1/gdk-pixbuf-query-loaders.1*
%{_datadir}/thumbnailers/

%files doc
%doc NEWS

%files modules
%{_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/*.so

%files devel
%dir %{_includedir}/gdk-pixbuf-2.0
%{_includedir}/gdk-pixbuf-2.0/gdk-pixbuf
%{_libdir}/libgdk_pixbuf-2.0.so
%{_libdir}/pkgconfig/gdk-pixbuf-2.0.pc
%{_bindir}/gdk-pixbuf-csource
%{_bindir}/gdk-pixbuf-pixdata
%{abidir}/gdk-pixbuf-csource-option.list
%{abidir}/gdk-pixbuf-pixdata-option.list
%{_datadir}/gir-1.0/
%{_mandir}/man1/gdk-pixbuf-csource.1*

%files tests
%{_libexecdir}/installed-tests
%{_datadir}/installed-tests

%changelog
* Thu Feb 13 2025 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.42.12-1
- Sync from CentOS Stream gdk-pixbuf2-2.42.12(tdawson@redhat.com)

* Thu Jun 20 2024 wangce <wangce@uniontech.com> - 2.42.10-3
- Fixes for CVE-2022-48622

* Thu Jan 19 2023 Funda Wang <fundawang@yeah.net> - 2.42.10-2
- Rebuild for new libtiff

* Sun Nov 27 2022 Funda Wang <fundawang@yeah.net> - 2.42.10-1
- New version 2.42.10

* Thu Oct 27 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.42.9-2
- optimise spec file & add doc package

* Mon Sep 05 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2.42.9-1
- update to 2.42.9

* Wed Apr 13 2022 Zhongling He <zhonglingh@linux.alibaba.com> - 2.42.8-1
- Init package from upstream v2.42.8
